﻿<%@ Control Language="C#" AutoEventWireup="true" %>
<%@ Import Namespace="Telerik.Web.UI" %>
<%@ Import Namespace="Telerik.Web.UI.Widgets" %>
<%@ Import Namespace="System.IO" %>

<script runat="server" type="text/C#">
    
    protected void Page_Load(object sender, System.EventArgs args)
    {
        Telerik.Web.UI.RadFileExplorer RadFileExplorer1 = (Telerik.Web.UI.RadFileExplorer)this.FindRadControl(this.Page);

    }
    private Control FindRadControl(Control parent)
    {
        foreach (Control cintrol in parent.Controls)
        {
            if (cintrol is Telerik.Web.UI.RadFileExplorer) return cintrol;
            if (cintrol.Controls.Count > 0)
            {
                Control sub = FindRadControl(cintrol);
                if (sub != null) return sub;
            }
        }
        return null;
    }

    public class CustomColumnsContentProvider : FileSystemContentProvider
    {
        public CustomColumnsContentProvider(HttpContext context, string[] searchPatterns, string[] viewPaths, string[] uploadPaths, string[] deletePaths, string selectedUrl, string selectedItemTag)
            : base(context, searchPatterns, viewPaths, uploadPaths, deletePaths, selectedUrl, selectedItemTag)
        {
            // Declaring a constructor is required when creating a custom content provider class
        }
    }
</script>

